Discussion - Portainer check freezing | PlexGuide.com

Discussion Portainer check freezing

  • Stop using Chrome! Download the Brave Browser via >>> [Brave.com]
    It's a forked version of Chrome with native ad-blockers and Google's spyware stripped out! Download for Mac, Windows, Android, and Linux!
Welcome to the PlexGuide.com
Serving the Community since 2016!
Register Now

BillyBob

Citizen+
Original poster
Mar 7, 2019
21
10
When running Traefik with Godaddy, it just freezes at the portainer check. I tried different versions of pgblitz.

Code:
StandBy - Portainer Validation Checks: 0 Seconds
 
  • Like
Reactions: 1 user

foolio

Experienced
Jan 10, 2019
68
27
is this your fist install or have you had it working before? I only ask because I have mine set up with GoDaddy and no issues. However, I have been running for a while.
 

seanweldon

Citizen+
Apr 16, 2018
29
5
Any update on this, I'm having the same issue? My portainer check stalls as well, thus DNS is failing to work. The apps are up, but DNS isn't working. My portainer logs:

2020/01/10 17:16:07 Templates already registered inside the database. Skipping template import.,
2020/01/10 17:16:07 server: Reverse tunnelling enabled,
2020/01/10 17:16:07 server: Fingerprint 5e:e7:10:fd:a8:20:5a:40:fc:46:80:65:d3:8c:32:77,
2020/01/10 17:16:07 server: Listening on 0.0.0.0:8000...,
2020/01/10 17:16:07 Starting Portainer 1.23.0 on :9000,
2020/01/10 17:16:07 [DEBUG] [chisel, monitoring] [check_interval_seconds: 10.000000] [message: starting tunnel management process],
2020/01/10 17:17:57 http error: Invalid JWT token (err=Invalid JWT token) (code=401),
2020/01/10 17:17:57 http error: Invalid JWT token (err=Invalid JWT token) (code=401),
2020/01/10 17:17:57 http error: Invalid JWT token (err=Invalid JWT token) (code=401),
2020/01/10 17:21:07 [WARN] [docker,snapshot] [message: unable to snapshot engine information] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:21:07 [WARN] [docker,snapshot] [message: unable to snapshot containers] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:21:07 [WARN] [docker,snapshot] [message: unable to snapshot images] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:21:07 [WARN] [docker,snapshot] [message: unable to snapshot volumes] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:21:07 [WARN] [docker,snapshot] [message: unable to snapshot networks] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:21:07 [WARN] [docker,snapshot] [message: unable to snapshot engine version] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:26:07 [WARN] [docker,snapshot] [message: unable to snapshot engine information] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:26:07 [WARN] [docker,snapshot] [message: unable to snapshot containers] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:26:07 [WARN] [docker,snapshot] [message: unable to snapshot images] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:26:07 [WARN] [docker,snapshot] [message: unable to snapshot volumes] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:26:07 [WARN] [docker,snapshot] [message: unable to snapshot networks] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
2020/01/10 17:26:07 [WARN] [docker,snapshot] [message: unable to snapshot engine version] [endpoint: local] [err: Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39],
Post automatically merged:

My server had been working for some time now. I ran 'sudo apt update -y' then 'sudo apt upgrade -y', then my apps were unreachable via Public DNS (portainer.my.domain). Loading up plexguide, it said that Traefik was not deployed properly, so I attempted to redeploy. Every time it seems to get stuck on-

Code:
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
? Portainer Check
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

NOTE 1: Do NOT EXIT this interface. Please standby for validation checks!

NOTE 2: Checking on https://portainer.weldon.solutions's existance.
Please allow 10 seconds for portainer to boot up.

NOTE 3: Be aware that simple mistakes such as bad input, bad domain, or
not knowing what your doing counts for 75% of the problems.

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

StandBy - Portainer Validation Checks: 0 Seconds
Does anyone have any ideas? I'm in the process of trying to figure out how to reverse the apt update & upgrade, but some of the previous versions don't seem to be available.
Post automatically merged:

The applications all seem to be running, it's just Traefik/DNS that is messed up.
Post automatically merged:

FYI, finally figured out that I had my Public DNS pointing to the wrong IP.... the 7 looked so close to a 1. That's what I get for not copying and pasting the IP.

To help others, best I can figured the Portainer Validation check stalling at 0 seconds means it fails, but for some reason it doesn't actually say failure. Perhaps one of the tests doesn't have a timeout mechanism or something. I'd suggest checking the traefik logs via Portainer.
 
Last edited:
  • Like
Reactions: 1 user

decryption

Noobz
Nov 24, 2019
2
0
I'm experiencing the same issue - when I deploy Traefik, it stalls on the verification step, but everything works - my apps are reachable over the domain names! (pgui.mydomain and portainer.mydomain load fine).

I've checked the Traefik logs in Portainer, but they're empty except for this single entry:
time="2020-05-28T18:16:51+10:00" level=warning msg="A new release has been found: 2.2.1. Please consider updating."

Could it be a firewall issue? I don't have any ports open to the outside world besides 443 and 80.
 

Recommend NewsGroups

      Up To a 58% Discount!

Trending